App\Library\Amazon\Classes\Product\DescriptionDataAType:
    properties:
        title:
            expose: true
            access_type: public_method
            serialized_name: Title
            accessor:
                getter: getTitle
                setter: setTitle
            type: string
        brand:
            expose: true
            access_type: public_method
            serialized_name: Brand
            accessor:
                getter: getBrand
                setter: setBrand
            type: string
        designer:
            expose: true
            access_type: public_method
            serialized_name: Designer
            accessor:
                getter: getDesigner
                setter: setDesigner
            type: string
        description:
            expose: true
            access_type: public_method
            serialized_name: Description
            accessor:
                getter: getDescription
                setter: setDescription
            type: string
        bulletPoint:
            expose: true
            access_type: public_method
            serialized_name: BulletPoint
            accessor:
                getter: getBulletPoint
                setter: setBulletPoint
            xml_list:
                inline: true
                entry_name: BulletPoint
            type: array<string>
        itemDimensions:
            expose: true
            access_type: public_method
            serialized_name: ItemDimensions
            accessor:
                getter: getItemDimensions
                setter: setItemDimensions
            type: App\Library\Amazon\Classes\DimensionsType
        packageDimensions:
            expose: true
            access_type: public_method
            serialized_name: PackageDimensions
            accessor:
                getter: getPackageDimensions
                setter: setPackageDimensions
            type: App\Library\Amazon\Classes\DimensionsType
        packageWeight:
            expose: true
            access_type: public_method
            serialized_name: PackageWeight
            accessor:
                getter: getPackageWeight
                setter: setPackageWeight
            type: App\Library\Amazon\Classes\PositiveWeightDimensionType
        shippingWeight:
            expose: true
            access_type: public_method
            serialized_name: ShippingWeight
            accessor:
                getter: getShippingWeight
                setter: setShippingWeight
            type: App\Library\Amazon\Classes\PositiveWeightDimensionType
        merchantCatalogNumber:
            expose: true
            access_type: public_method
            serialized_name: MerchantCatalogNumber
            accessor:
                getter: getMerchantCatalogNumber
                setter: setMerchantCatalogNumber
            type: string
        mSRP:
            expose: true
            access_type: public_method
            serialized_name: MSRP
            accessor:
                getter: getMSRP
                setter: setMSRP
            type: App\Library\Amazon\Classes\CurrencyAmountType
        mSRPWithTax:
            expose: true
            access_type: public_method
            serialized_name: MSRPWithTax
            accessor:
                getter: getMSRPWithTax
                setter: setMSRPWithTax
            type: App\Library\Amazon\Classes\CurrencyAmountType
        maxOrderQuantity:
            expose: true
            access_type: public_method
            serialized_name: MaxOrderQuantity
            accessor:
                getter: getMaxOrderQuantity
                setter: setMaxOrderQuantity
            type: integer
        serialNumberRequired:
            expose: true
            access_type: public_method
            serialized_name: SerialNumberRequired
            accessor:
                getter: getSerialNumberRequired
                setter: setSerialNumberRequired
            type: boolean
        prop65:
            expose: true
            access_type: public_method
            serialized_name: Prop65
            accessor:
                getter: getProp65
                setter: setProp65
            type: boolean
        cPSIAWarning:
            expose: true
            access_type: public_method
            serialized_name: CPSIAWarning
            accessor:
                getter: getCPSIAWarning
                setter: setCPSIAWarning
            xml_list:
                inline: true
                entry_name: CPSIAWarning
            type: array<string>
        cPSIAWarningDescription:
            expose: true
            access_type: public_method
            serialized_name: CPSIAWarningDescription
            accessor:
                getter: getCPSIAWarningDescription
                setter: setCPSIAWarningDescription
            type: string
        legalDisclaimer:
            expose: true
            access_type: public_method
            serialized_name: LegalDisclaimer
            accessor:
                getter: getLegalDisclaimer
                setter: setLegalDisclaimer
            type: string
        manufacturer:
            expose: true
            access_type: public_method
            serialized_name: Manufacturer
            accessor:
                getter: getManufacturer
                setter: setManufacturer
            type: string
        mfrPartNumber:
            expose: true
            access_type: public_method
            serialized_name: MfrPartNumber
            accessor:
                getter: getMfrPartNumber
                setter: setMfrPartNumber
            type: string
        searchTerms:
            expose: true
            access_type: public_method
            serialized_name: SearchTerms
            accessor:
                getter: getSearchTerms
                setter: setSearchTerms
            xml_list:
                inline: true
                entry_name: SearchTerms
            type: array<string>
        platinumKeywords:
            expose: true
            access_type: public_method
            serialized_name: PlatinumKeywords
            accessor:
                getter: getPlatinumKeywords
                setter: setPlatinumKeywords
            xml_list:
                inline: true
                entry_name: PlatinumKeywords
            type: array<string>
        memorabilia:
            expose: true
            access_type: public_method
            serialized_name: Memorabilia
            accessor:
                getter: getMemorabilia
                setter: setMemorabilia
            type: boolean
        autographed:
            expose: true
            access_type: public_method
            serialized_name: Autographed
            accessor:
                getter: getAutographed
                setter: setAutographed
            type: boolean
        usedFor:
            expose: true
            access_type: public_method
            serialized_name: UsedFor
            accessor:
                getter: getUsedFor
                setter: setUsedFor
            xml_list:
                inline: true
                entry_name: UsedFor
            type: array<string>
        itemType:
            expose: true
            access_type: public_method
            serialized_name: ItemType
            accessor:
                getter: getItemType
                setter: setItemType
            type: string
        otherItemAttributes:
            expose: true
            access_type: public_method
            serialized_name: OtherItemAttributes
            accessor:
                getter: getOtherItemAttributes
                setter: setOtherItemAttributes
            xml_list:
                inline: true
                entry_name: OtherItemAttributes
            type: array<string>
        targetAudience:
            expose: true
            access_type: public_method
            serialized_name: TargetAudience
            accessor:
                getter: getTargetAudience
                setter: setTargetAudience
            xml_list:
                inline: true
                entry_name: TargetAudience
            type: array<string>
        subjectContent:
            expose: true
            access_type: public_method
            serialized_name: SubjectContent
            accessor:
                getter: getSubjectContent
                setter: setSubjectContent
            xml_list:
                inline: true
                entry_name: SubjectContent
            type: array<string>
        isGiftWrapAvailable:
            expose: true
            access_type: public_method
            serialized_name: IsGiftWrapAvailable
            accessor:
                getter: getIsGiftWrapAvailable
                setter: setIsGiftWrapAvailable
            type: boolean
        isGiftMessageAvailable:
            expose: true
            access_type: public_method
            serialized_name: IsGiftMessageAvailable
            accessor:
                getter: getIsGiftMessageAvailable
                setter: setIsGiftMessageAvailable
            type: boolean
        promotionKeywords:
            expose: true
            access_type: public_method
            serialized_name: PromotionKeywords
            accessor:
                getter: getPromotionKeywords
                setter: setPromotionKeywords
            xml_list:
                inline: true
                entry_name: PromotionKeywords
            type: array<string>
        isDiscontinuedByManufacturer:
            expose: true
            access_type: public_method
            serialized_name: IsDiscontinuedByManufacturer
            accessor:
                getter: getIsDiscontinuedByManufacturer
                setter: setIsDiscontinuedByManufacturer
            type: boolean
        deliveryScheduleGroupID:
            expose: true
            access_type: public_method
            serialized_name: DeliveryScheduleGroupID
            accessor:
                getter: getDeliveryScheduleGroupID
                setter: setDeliveryScheduleGroupID
            type: string
        deliveryChannel:
            expose: true
            access_type: public_method
            serialized_name: DeliveryChannel
            accessor:
                getter: getDeliveryChannel
                setter: setDeliveryChannel
            xml_list:
                inline: true
                entry_name: DeliveryChannel
            type: array<App\Library\Amazon\Classes\DeliveryChannel>
        externalProductInformation:
            expose: true
            access_type: public_method
            serialized_name: ExternalProductInformation
            accessor:
                getter: getExternalProductInformation
                setter: setExternalProductInformation
            type: string
        maxAggregateShipQuantity:
            expose: true
            access_type: public_method
            serialized_name: MaxAggregateShipQuantity
            accessor:
                getter: getMaxAggregateShipQuantity
                setter: setMaxAggregateShipQuantity
            type: integer
        recommendedBrowseNode:
            expose: true
            access_type: public_method
            serialized_name: RecommendedBrowseNode
            accessor:
                getter: getRecommendedBrowseNode
                setter: setRecommendedBrowseNode
            xml_list:
                inline: true
                entry_name: RecommendedBrowseNode
            type: array<integer>
        merchantShippingGroupName:
            expose: true
            access_type: public_method
            serialized_name: MerchantShippingGroupName
            accessor:
                getter: getMerchantShippingGroupName
                setter: setMerchantShippingGroupName
            type: string
        fEDASID:
            expose: true
            access_type: public_method
            serialized_name: FEDAS_ID
            accessor:
                getter: getFEDASID
                setter: setFEDASID
            type: string
        tSDAgeWarning:
            expose: true
            access_type: public_method
            serialized_name: TSDAgeWarning
            accessor:
                getter: getTSDAgeWarning
                setter: setTSDAgeWarning
            type: string
        tSDWarning:
            expose: true
            access_type: public_method
            serialized_name: TSDWarning
            accessor:
                getter: getTSDWarning
                setter: setTSDWarning
            xml_list:
                inline: true
                entry_name: TSDWarning
            type: array<string>
        tSDLanguage:
            expose: true
            access_type: public_method
            serialized_name: TSDLanguage
            accessor:
                getter: getTSDLanguage
                setter: setTSDLanguage
            xml_list:
                inline: true
                entry_name: TSDLanguage
            type: array<string>
        optionalPaymentTypeExclusion:
            expose: true
            access_type: public_method
            serialized_name: OptionalPaymentTypeExclusion
            accessor:
                getter: getOptionalPaymentTypeExclusion
                setter: setOptionalPaymentTypeExclusion
            type: string
        distributionDesignation:
            expose: true
            access_type: public_method
            serialized_name: DistributionDesignation
            accessor:
                getter: getDistributionDesignation
                setter: setDistributionDesignation
            type: string
        externalTestingCertification:
            expose: true
            access_type: public_method
            serialized_name: ExternalTestingCertification
            accessor:
                getter: getExternalTestingCertification
                setter: setExternalTestingCertification
            xml_list:
                inline: true
                entry_name: ExternalTestingCertification
            type: array<string>
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryCellType:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellType
            accessor:
                getter: getBatteryCellType
                setter: setBatteryCellType
            type: string
        batteryWeight:
            expose: true
            access_type: public_method
            serialized_name: BatteryWeight
            accessor:
                getter: getBatteryWeight
                setter: setBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemWeight:
            expose: true
            access_type: public_method
            serialized_name: ItemWeight
            accessor:
                getter: getItemWeight
                setter: setItemWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        itemVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemVolume
            accessor:
                getter: getItemVolume
                setter: setItemVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        flashPoint:
            expose: true
            access_type: public_method
            serialized_name: FlashPoint
            accessor:
                getter: getFlashPoint
                setter: setFlashPoint
            type: string
        gHSClassificationClass:
            expose: true
            access_type: public_method
            serialized_name: GHSClassificationClass
            accessor:
                getter: getGHSClassificationClass
                setter: setGHSClassificationClass
            xml_list:
                inline: true
                entry_name: GHSClassificationClass
            type: array<string>
        supplierDeclaredDGHZRegulation:
            expose: true
            access_type: public_method
            serialized_name: SupplierDeclaredDGHZRegulation
            accessor:
                getter: getSupplierDeclaredDGHZRegulation
                setter: setSupplierDeclaredDGHZRegulation
            xml_list:
                inline: true
                entry_name: SupplierDeclaredDGHZRegulation
            type: array<string>
        hazmatUnitedNationsRegulatoryID:
            expose: true
            access_type: public_method
            serialized_name: HazmatUnitedNationsRegulatoryID
            accessor:
                getter: getHazmatUnitedNationsRegulatoryID
                setter: setHazmatUnitedNationsRegulatoryID
            type: string
        safetyDataSheetURL:
            expose: true
            access_type: public_method
            serialized_name: SafetyDataSheetURL
            accessor:
                getter: getSafetyDataSheetURL
                setter: setSafetyDataSheetURL
            type: string
